#### D.14.1.10 arrCenter

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrCenter(A); arr A

Return:
  [list] L entry 0 if A not centered or entries 1, x, H, where x is any particular point of the center and H is a matrix consisting of vectors which spanning linear intersection space.
  If there is exactly one solution, then H = 0.

Note:
  The intersection of all hyperplanes can be expressed in forms of a linear system Ax=b, where (A|b) is the coeff. matrix of the arrange- ment, which is then solved using L-U decomposition

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    arr A= ideal(x,y,x-y+1);    // centerless
    arrCenter(A);
    ==> [1]:
    ==>    0
    arr B= ideal(x,y,z);        // center is a single point
    arrCenter(B);
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    _[1,1]=0
    ==>    _[2,1]=0
    ==>    _[3,1]=0
    ==> [3]:
    ==>    _[1,1]=0
    arr C= ideal(x,z,x+z);      // center is a line
    // here we get a wrong result because the matrix is simplified since A doesn't
    // contain any "y" the matrix (A|b) will be 3x3 only.
    arrCenter(C);
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    _[1,1]=0
    ==>    _[2,1]=0
    ==>    _[3,1]=0
    ==> [3]:
    ==>    _[1,1]=0
    ==>    _[2,1]=-1
    ==>    _[3,1]=0

See also: arrCenter; arrCentered; arrCentral; arrCentralize.

User manual for Singular version 4.4.1, 2025, generated by texi2html.